Package org.eclipse.m2m.atl.adt.ui.text

# Class AtlAnnotationHover

java.lang.Object
org.eclipse.m2m.atl.adt.ui.text.AtlAnnotationHover

All Implemented Interfaces:
  `org.eclipse.jface.text.source.IAnnotationHover`

public class AtlAnnotationHover extends Object implements org.eclipse.jface.text.source.IAnnotationHover

## Constructor Summary

Constructors
Constructor
Description
`AtlAnnotationHover()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHoverInfo(org.eclipse.jface.text.source.ISourceViewer sourceViewer, int lineNumber)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlAnnotationHover

public AtlAnnotationHover()

## Method Details

### getHoverInfo

public String getHoverInfo(org.eclipse.jface.text.source.ISourceViewer sourceViewer, int lineNumber)

Specified by:
  `getHoverInfo` in interface `org.eclipse.jface.text.source.IAnnotationHover`